127.0.0.1 {{ inventory_hostname.split(".")[0] | lower }}.{{ samba_ad_realm | lower }} {{ inventory_hostname.split(".")[0] | lower }} localhost 

# The following lines are desirable for IPv6 capable hosts
::1 ip6-localhost ip6-loopback
fe00::0 ip6-localnet
ff00::0 ip6-mcastprefix
ff02::1 ip6-allnodes
ff02::2 ip6-allrouters
ff02::3 ip6-allhosts

{% if samba_hosts_dns_servers is defined %}
{% for samba_hosts_dns_server in samba_hosts_dns_servers %}
{{ samba_hosts_dns_server.ip_address }} {{ samba_hosts_dns_server.name }}
{% endfor %}
{% endif %}